// JScript File

var gE = function(id) { return document.getElementById(id); }
/****************************************************************************************
Function/Procedure  Name            :- fnCallResetControls
functionality                       :- To Call Function to Clear Controls		
****************************************************************************************/
function fnCallResetControls() {

    //    var ConfirmClear = confirm(MessageVars.COM_0007);
    //    if (ConfirmClear == true) {
    ResetMessageBox();
    //fnResetControls();
    //}
}

/****************************************************************************************
Function/Procedure  Name            :- fnResetControls
functionality                       :- To Clear Controls 		
****************************************************************************************/
function fnResetControls() {

    fnDisableFields('ctl00_EditButton', 'ctl00_SaveButton');
    fnEnableControls('ctl00_CP_ClinicalUOMCodeTextBox');
    document.getElementById('ctl00_CP_ConditionDropDownList').selectedIndex = 0;
    document.getElementById('ctl00_CP_ClinicalUOMTypeDropDownList').selectedIndex = 0;

    for (i = 0; i < document.forms[0].length; i++) {
        doc = document.forms[0].elements[i];
        switch (doc.type) {
            case "text":
                doc.value = "";
                break;
            case "checkbox":
                doc.value = "";
                break;

            default:
                break;
        }
    }
    return true;
}

/****************************************************************************************
Function/Procedure  Name            :- fnEnableControls
functionality                       :- Function to call Enable Fields		
****************************************************************************************/
function fnEnableControls() {
    for (var i = 0; i < arguments.length; i++) {
        gE(arguments[i]).disabled = false;
    }
}


